{
	"adapter": {
		"id": "postgresql.adapter.${postgresql.version}",
		"name":  "postgresqlAdapter",
		"description": "Postgresql adapter to interact with databases.",
		"fields": [
			{
				"name": "dataSourceName",
				"type": "String",
				"default": "dataSource",
				"property": false,
				"option": false
			},

			{
				"name": "dataSource",
				"type": "DataSource",
				"property": true
			},
			{
				"name": "lazyStartProducer",
				"type": "boolean",
				"default": "false",
				"property": true,
				"option": true
			},
			{
				"name": "autowiredEnabled",
				"type": "boolean",
				"default": "true",
				"property": true
			},
			{
				"name": "connectionStrategy",
				"type": "ConnectionStrategy",
				"property": true,
				"option": true
			},

			{
				"name": "allowNamedParameters",
				"type": "boolean",
				"default": "true",
				"option": true
			},
			{
				"name": "outputClass",
				"property": true,
				"option": true
			},
			{
				"name": "outputType",
				"type": "JdbcOutputType",
				"default": "SelectList",
				"option": true
			},
			{
				"name": "parameters",
				"default": "Map",
				"option": true
			},
			{
				"name": "readSize",
				"type": "int",
				"option": true
			},
			{
				"name": "resetAutoCommit",
				"type": "boolean",
				"default": "true",
				"option": true
			},
			{
				"name": "transacted",
				"type": "boolean",
				"default": "false",
				"option": true
			},
			{
				"name": "useGetBytesForBlob",
				"type": "boolean",
				"default": "false",
				"option": true
			},
			{
				"name": "useHeadersAsParameters",
				"type": "boolean",
				"default": "false",
				"option": true
			},
			{
				"name": "useJDBC4ColumnNameAndLabelSemantics",
				"type": "boolean",
				"default": "true",
				"option": true
			},
			{
				"name": "beanRowMapper",
				"type": "BeanRowMapper",
				"option": true
			},
			{
				"name": "prepareStatementStrategy",
				"type": "JdbcPrepareStatementStrategy",
				"option": true
			}
		],
		"generators":[
			{
				"type": "pathParameter",
				"generator": "",
				"config": {
					"expression": "${dataSourceName}"
				}
			},
			{
				"type": "init",
				"generator": ""
			},
			{
				"type": "ref",
				"generator": ""
			},
			{
				"type": "from",
				"generator": ""
			},
			{
				"type": "to",
				"generator": ""
			}
		]
	}
}